Package: groovy.lang

## [Java] Class MetaExpandoProperty

- groovy.lang.MetaExpandoProperty

- Represents a property in an Expando object

  Authors:
    John Stump

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class MetaProperty` | `PROPERTY_SET_PREFIX, name, type`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MetaExpandoProperty (Entry entry)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Object` | `getProperty(Object object)` @return the property of the given object
    `` | `void` | `setProperty(Object object, Object newValue)` Sets the property on the given object to the new value

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class MetaProperty` | `getGetterName, getModifiers, getName, getProperty, getSetterName, getType, setProperty`
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public MetaExpandoProperty(Entry entry)

  - ### Method Detail

    - #### public Object getProperty(Object object)

      throws:
        Exception if the property could not be evaluated
      Returns:
        the property of the given object

    - #### public void setProperty(Object object, Object newValue)

      Sets the property on the given object to the new value

      Parameters:
        `object` - on which to set the property
        `newValue` - the new value of the property